openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/MSS_GET_SQLAGENT_PROPERTIES:
    post:
      tags:
      - SFMSS_JOBS
      summary: Function to get sqlagent properties
      operationId: /rfc/MSS_GET_SQLAGENT_PROPERTIES
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CON_NAME:
                  type: string
                  default: DEFAULT
                  maxLength: 30
                  description: Logical name for a database connection
                SCHEMA:
                  type: string
                  default: ''
                  maxLength: 128
                  description: Schema name
                SQLAGENT_PROP:
                  type: array
                  items:
                    type: object
                    properties:
                      AUTOSTART:
                        type: string
                        maxLength: 100
                        description: Character 100
                      MSXSERNAME:
                        type: string
                        maxLength: 100
                        description: Character 100
                      SQLAGETYPE:
                        type: string
                        maxLength: 100
                        description: Character 100
                      STARTUPACC:
                        type: string
                        maxLength: 100
                        description: Character 100
                      RESTART:
                        type: string
                        maxLength: 100
                        description: Character 100
                      MAXROWS:
                        type: string
                        maxLength: 100
                        description: Character 100
                      MAXROWJOB:
                        type: string
                        maxLength: 100
                        description: Character 100
                      ERRLOGFILE:
                        type: string
                        maxLength: 100
                        description: Character 100
                      ERRLOGLEV:
                        type: string
                        maxLength: 100
                        description: Character 100
                      ERRRECIP:
                        type: string
                        maxLength: 100
                        description: Character 100
                      MONAUTOST:
                        type: string
                        maxLength: 100
                        description: Character 100
                      LOCHOSTSVR:
                        type: string
                        maxLength: 100
                        description: Character 100
                      JOBSHUTDOW:
                        type: string
                        maxLength: 100
                        description: Character 100
                      CMDEXECACC:
                        type: string
                        maxLength: 100
                        description: Character 100
                      REGCONNECT:
                        type: string
                        maxLength: 100
                        description: Character 100
                      HOSTLOGIN:
                        type: string
                        maxLength: 100
                        description: Character 100
                      HOSTLOGPWD:
                        type: string
                        maxLength: 100
                        description: Character 100
                      LOGINTMOUT:
                        type: string
                        maxLength: 100
                        description: Character 100
                      IDLECPUPER:
                        type: string
                        maxLength: 100
                        description: Character 100
                      IDLECPUDUR:
                        type: string
                        maxLength: 100
                        description: Character 100
                      OEMERRORLG:
                        type: string
                        maxLength: 100
                        description: Character 100
                      SYSADMIN:
                        type: string
                        maxLength: 100
                        description: Character 100
                      EMAILPROF:
                        type: string
                        maxLength: 100
                        description: Character 100
                      EMAILSENDF:
                        type: string
                        maxLength: 100
                        description: Character 100
                      CPUPOLLENA:
                        type: string
                        maxLength: 100
                        description: Character 100
                      ALREPRUNTOKS:
                        type: string
                        maxLength: 100
                        description: Character 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  SQLAGENT_PROP:
                    type: array
                    items:
                      type: object
                      properties:
                        AUTOSTART:
                          type: string
                          maxLength: 100
                          description: Character 100
                        MSXSERNAME:
                          type: string
                          maxLength: 100
                          description: Character 100
                        SQLAGETYPE:
                          type: string
                          maxLength: 100
                          description: Character 100
                        STARTUPACC:
                          type: string
                          maxLength: 100
                          description: Character 100
                        RESTART:
                          type: string
                          maxLength: 100
                          description: Character 100
                        MAXROWS:
                          type: string
                          maxLength: 100
                          description: Character 100
                        MAXROWJOB:
                          type: string
                          maxLength: 100
                          description: Character 100
                        ERRLOGFILE:
                          type: string
                          maxLength: 100
                          description: Character 100
                        ERRLOGLEV:
                          type: string
                          maxLength: 100
                          description: Character 100
                        ERRRECIP:
                          type: string
                          maxLength: 100
                          description: Character 100
                        MONAUTOST:
                          type: string
                          maxLength: 100
                          description: Character 100
                        LOCHOSTSVR:
                          type: string
                          maxLength: 100
                          description: Character 100
                        JOBSHUTDOW:
                          type: string
                          maxLength: 100
                          description: Character 100
                        CMDEXECACC:
                          type: string
                          maxLength: 100
                          description: Character 100
                        REGCONNECT:
                          type: string
                          maxLength: 100
                          description: Character 100
                        HOSTLOGIN:
                          type: string
                          maxLength: 100
                          description: Character 100
                        HOSTLOGPWD:
                          type: string
                          maxLength: 100
                          description: Character 100
                        LOGINTMOUT:
                          type: string
                          maxLength: 100
                          description: Character 100
                        IDLECPUPER:
                          type: string
                          maxLength: 100
                          description: Character 100
                        IDLECPUDUR:
                          type: string
                          maxLength: 100
                          description: Character 100
                        OEMERRORLG:
                          type: string
                          maxLength: 100
                          description: Character 100
                        SYSADMIN:
                          type: string
                          maxLength: 100
                          description: Character 100
                        EMAILPROF:
                          type: string
                          maxLength: 100
                          description: Character 100
                        EMAILSENDF:
                          type: string
                          maxLength: 100
                          description: Character 100
                        CPUPOLLENA:
                          type: string
                          maxLength: 100
                          description: Character 100
                        ALREPRUNTOKS:
                          type: string
                          maxLength: 100
                          description: Character 100
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
